#![feature(future_join, box_as_ptr)]

extern crate async_std;
extern crate juno_build;

juno_build::juno!("antideps");

fn main() {
    async_std::task::block_on(async {
        let output = simple_antideps(1, 1).await;
        println!("{}", output);
        assert_eq!(output, 5);

        let output = complex_antideps(9).await;
        println!("{}", output);
        assert_eq!(output, 7);
    });
}

#[test]
fn antideps_test() {
    main();
}
